#ifndef PLUGINSTRUCTS_P220_DATA_STRUCT_H
#define PLUGINSTRUCTS_P220_DATA_STRUCT_H

#include "../../_Plugin_Helper.h"
#ifdef USES_P220

struct P220_data_struct : public PluginTaskData_base {
public:

  P220_data_struct(unsigned long        lastTime,
                   float                lastInput,
                   float                outputSum);

  unsigned long get_lastTime()    const { return _lastTime;  }
  float get_lastInput()           const { return _lastInput; }
  float get_outputSum()           const { return _outputSum; }
  
  void save_parameters(unsigned long lastTime, float lastInput, float outputSum);

private:
  unsigned long _lastTime = millis();
  float _lastInput = 0;
  float _outputSum = 0;
};

#endif // ifdef USES_P220
#endif // ifndef PLUGINSTRUCTS_P220_DATA_STRUCT_H
